Page MenuHomePhabricator

"Mark as missing" function not working in itwiki
Closed, ResolvedPublic

Description

In itwiki we are experiencing a little problem with the "Mark as missing" function. When marking as missing a word in the ContentTranslation tool, the word correctly displays red. But, after publishing the page, the link appears to be a interwikilink to enwiki (I've tested it translating from enwiki). See "Wacko Magneto".

In enwiki there isn't this issue. See "finlandese" here.

Event Timeline

Nnvu created this task.Jul 22 2016, 3:22 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 22 2016, 3:22 PM

Thanks for the report!

Is this similar to T140332?

Nnvu added a comment.Jul 23 2016, 11:17 AM

@Amire80 Well, the output is equal to the one mentioned in T140332, but the method is the same as the one in T118087: i tried to add a red link and i got a full external link to enwiki.

Amire80 triaged this task as Normal priority.Jul 25 2016, 11:10 AM
Amire80 moved this task from Needs Triage to Bugs on the ContentTranslation board.
Arrbee moved this task from Bugs to Check & Move on the ContentTranslation board.Jul 22 2019, 1:57 PM
Arrbee lowered the priority of this task from Normal to Low.Jul 22 2019, 2:13 PM
Jpita added a subscriber: Jpita.Jul 25 2019, 12:47 PM

Managed to replicate it on es.wiki.


https://es.wikipedia.org/wiki/Usuario:Dvpita/Wacko_Magneto

The first link works as expected (Wonderland Park) but the second one links to the correct es.wiki page https://es.wikipedia.org/wiki/120_minutos

Pginer-WMF added a subscriber: Pginer-WMF.EditedJul 26 2019, 9:28 AM

The first link works as expected (Wonderland Park) but the second one links to the correct es.wiki page https://es.wikipedia.org/wiki/120_minutos

The English article is not connected to any Spanish article in Wikidata. So CX thinks that it is missing, and creates a missing link with a name that matches an existing article in Spanish Wikipedia (in this case it seems that those are about the same topic just not connected in Wikidata, but it could be a different topic that happens to have such title). This case is described and expected to be solved by T224408: Ask for user confirmation when adding a missing link and the target page name is unclear

The original ticket was describing an issue, that applied to your example would mean that the article published in Spanish has a link to the 120 minutes article in English, which seems not to be the case. I highlighted the key elements from the example of the original issue in a screenshot below:

Pginer-WMF closed this task as Resolved.Jul 26 2019, 11:39 AM
Pginer-WMF claimed this task.

Given the above, the original issue seems to be resolved, and related issues are reported in other tickets.